Last Comment Bug 725873 - Back out bug 716538 from Aurora on February 16th
: Back out bug 716538 from Aurora on February 16th
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 12
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on:
Blocks: 716538
  Show dependency treegraph
 
Reported: 2012-02-09 16:26 PST by Tim Taubert [:ttaubert]
Modified: 2012-02-19 06:20 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Tim Taubert [:ttaubert] 2012-02-09 16:26:51 PST
We'll leave the New Tab Page enabled for a week to get some more feedback from Aurora users. Back it out after the week.
Comment 1 Tim Taubert [:ttaubert] 2012-02-16 08:58:11 PST
Backed out:

https://hg.mozilla.org/releases/mozilla-aurora/rev/f1957e96aa14
Comment 2 Siddhartha Dugar [:sdrocking] 2012-02-16 09:01:44 PST
Couldn't this stay a bit longer. Disabling it will generate a lot of negative feedback. You should have disabled it just before 12 moved to Beta.
Comment 3 Tim Taubert [:ttaubert] 2012-02-16 09:05:23 PST
(In reply to Siddhartha Dugar (sdrocking) from comment #2)
> Couldn't this stay a bit longer. Disabling it will generate a lot of
> negative feedback. You should have disabled it just before 12 moved to Beta.

This wasn't exactly my decision but rather a compromise made by a group of people.
Comment 4 Alex Keybl [:akeybl] 2012-02-16 11:06:42 PST
Thanks for disabling.

(In reply to Siddhartha Dugar (sdrocking) from comment #2)
> Couldn't this stay a bit longer. Disabling it will generate a lot of
> negative feedback. You should have disabled it just before 12 moved to Beta.

That may be true, but we need to keep the trains as close to what we plan to ship to release for as much as the cycle as possible. We took risk mitigation over negative Aurora feedback.

Hopefully the goal of getting design feedback will still be met.
Comment 5 Chris Lee [:clee] 2012-02-17 15:15:30 PST
Thanks Tim and Alex for disabling/supporting this.  We received some good feedback and will make necessary changes.
Comment 6 Lozzy 2012-02-18 01:56:44 PST
Must admit that it was a surprise when this was lifted out. I had already gotten so used to it that I had forgotten it was an experimental feature! Looking forward to the final product.

For future reference though, it might be kind to preserve a method for letting users re-enable experimental features like this if they've already integrated the feature into their workflow.
Comment 7 Siddhartha Dugar [:sdrocking] 2012-02-18 02:03:27 PST
You can still re-enable it. Open about:config and set these preferences:

browser.newtab.url = "about:newtab"
browser.newtabpage.enabled = "true"

Now restart Firefox to see the change applied.
Comment 8 Lozzy 2012-02-18 02:07:13 PST
*Facepalm*

I was nearly there ... if only I had restarted! Thanks for the help.

Note You need to log in before you can comment on or make changes to this bug.